Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.model
Interface Portal

public interface Portal
extends PortalResource

Interface `Portal` represents the definition of a portal as defined in the E-Business Control Center (EBCC).

Field Summary
`static java.lang.String` | `DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED` Constant to represent the uncustomized display name of the default group portal.
`static int` | `NAVBAR_ORIENTATION_HORIZONTAL` Constant to represent a navigation bar with horizontal orientation.
`static int` | `NAVBAR_ORIENTATION_UNSPECIFIED` Constant to represent a navigation bar with unspecified orientation.
`static int` | `NAVBAR_ORIENTATION_VERTICAL` Constant to represent a navigation bar with vertical orientation.
`static int` | `URL_CONTENT` Constant to represent a URL of type Content.
`static int` | `URL_FOOTER` Constant to represent a URL of type Footer.
`static int` | `URL_HEADER` Constant to represent a URL of type Header.
`static int` | `URL_NAVBAR_HORIZONTAL` Constant to represent a URL of Horizontal Navigation Bar.
`static int` | `URL_NAVBAR_VERTICAL` Constant to represent a URL of Vertical Navigation Bar.
`static int` | `URL_START_PAGE` Constant to represent a URL of Start Page.
`static int` | `URL_SUSPENDED` Constant to represent a URL of type Suspended.

Method Summary
`PortalPersonalization` | `getDefaultConfiguration()` Returns a `PortalPersonalization` representing the default personalization for this portal.
`java.lang.String` | `getDescription()` Returns a short text description of this portal.
`PortalIdentifier` | `getIdentifier()` Returns a unique identifier for this portal.
`java.util.List` | `getLayouts()` Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.
`Page` | `getPage(PageIdentifier pageId)` Returns the `Page` requested by identifier.
`java.util.List` | `getPages()` Returns a `List` of `Page` objects for the pages available in this portal.
`Portlet` | `getPortlet(PortletIdentifier portletId)` Returns the `Portlet` requested by identifier.
`java.util.List` | `getPortlets()` Returns a `List` of `Portlet` objects for the portlets available in this portal.
`java.util.List` | `getPropertySets()` Returns a `List` of `String` objects specifying the property sets to be made available to this portal.
`java.util.List` | `getSkins()` Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.
`java.lang.String` | `getUrl(int urlType)` Returns a `String` URL for the URL type specified.
`java.lang.String` | `getWebflowNamespace()` Returns the Webflow namespace to use for the portal navigation.

Methods inherited from interface com.bea.portal.model.PortalResource
`getResourceIdentifier`

Methods inherited from interface com.bea.portal.model.PortalScopedObject
`getPortalIdentifier`

Field Detail

### DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED

    public static final java.lang.String DEFAULT_GROUP_PORTAL_DISPLAY_NAME_UNCUSTOMIZED

  Constant to represent the uncustomized display name of the default group portal.

### NAVBAR_ORIENTATION_UNSPECIFIED

    public static final int NAVBAR_ORIENTATION_UNSPECIFIED

  Constant to represent a navigation bar with unspecified orientation.

### NAVBAR_ORIENTATION_HORIZONTAL

    public static final int NAVBAR_ORIENTATION_HORIZONTAL

  Constant to represent a navigation bar with horizontal orientation.

### NAVBAR_ORIENTATION_VERTICAL

    public static final int NAVBAR_ORIENTATION_VERTICAL

  Constant to represent a navigation bar with vertical orientation.

### URL_CONTENT

    public static final int URL_CONTENT

  Constant to represent a URL of type Content.

### URL_HEADER

    public static final int URL_HEADER

  Constant to represent a URL of type Header.

### URL_FOOTER

    public static final int URL_FOOTER

  Constant to represent a URL of type Footer.

### URL_SUSPENDED

    public static final int URL_SUSPENDED

  Constant to represent a URL of type Suspended.

### URL_NAVBAR_VERTICAL

    public static final int URL_NAVBAR_VERTICAL

  Constant to represent a URL of Vertical Navigation Bar.

### URL_NAVBAR_HORIZONTAL

    public static final int URL_NAVBAR_HORIZONTAL

  Constant to represent a URL of Horizontal Navigation Bar.

### URL_START_PAGE

    public static final int URL_START_PAGE

  Constant to represent a URL of Start Page.

Method Detail

### getIdentifier

    public PortalIdentifier getIdentifier()

  Returns a unique identifier for this portal.

  Returns:
    unique identifier for this portal.

### getDescription

    public java.lang.String getDescription()

  Returns a short text description of this portal.

  Returns:
    a description of this portal.

### getWebflowNamespace

    public java.lang.String getWebflowNamespace()

  Returns the Webflow namespace to use for the portal navigation.

  Returns:
    a Webflow namespace for portal navigation.

### getUrl

    public java.lang.String getUrl(int urlType)

  Returns a `String` URL for the URL type specified. Valid values are:

  `Portal.URL_CONTENT` `Portal.URL_HEADER` `Portal.URL_FOOTER` `Portal.URL_SUSPENDED` `Portal.URL_NAVBAR_VERTICAL` `Portal.URL_NAVBAR_HORIZONTAL` `Portal.URL_START_PAGE`

  Parameters:
    `urlType` - a constant specifying the URL type required.
  Returns:
    the URL defined for the type specified.

### getPage

    public Page getPage(PageIdentifier pageId)

  Returns the `Page` requested by identifier.

  Parameters:
    `pageId` - identifier for page required.
  Returns:
    the page definition requested.
  Throws:
    java.lang.IllegalArgumentException - if page is not defined.

### getPages

    public java.util.List getPages()

  Returns a `List` of `Page` objects for the pages available in this portal.

  Note: This is the set of pages available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of page available in this portal.

### getPortlet

    public Portlet getPortlet(PortletIdentifier portletId)

  Returns the `Portlet` requested by identifier.

  Parameters:
    `portletId` - identifier for portlet required.
  Returns:
    the portlet definition requested.
  Throws:
    java.lang.IllegalArgumentException - if portlet is not defined.

### getPortlets

    public java.util.List getPortlets()

  Returns a `List` of `Portlet` objects for the portlets available in this portal.

  Note: This is the set of portlets available for group administrators to select from, as defined in the EBCC and not necessarily the list an end user will see.

  Returns:
    the set of portlets available in this portal.

### getLayouts

    public java.util.List getLayouts()

  Returns a `List` of `LayoutIdentifier` objects for the layouts available for selection in this portal.

  Note: This is the union of all the sets of layouts available on each page and not necessarily the list an end user will see.

  Returns:
    the set of layouts available in this portal.

### getSkins

    public java.util.List getSkins()

  Returns a `List` of `SkinIdentifier` objects for the skins available for selection in this portal.

  Note: This is the set of skins available for group administrators to select from, as defined in the EBCC, and not necessarily the list an end user will see.

  Returns:
    the set of skins available in this portal.

### getPropertySets

    public java.util.List getPropertySets()

  Returns a `List` of `String` objects specifying the property sets to be made available to this portal.

  Returns:
    property set names for this portal.

### getDefaultConfiguration

    public PortalPersonalization getDefaultConfiguration()

  Returns a `PortalPersonalization` representing the default personalization for this portal.

  Returns:
    personalization of default group.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved